Get Shipments
GET /inboxes/{inbox_id}/shipments
Returns shipments for the given inbox. Supports filtering by status and other criteria.
Authorizations
Section titled “Authorizations”Send your API key in the x-api-key header.
See Authentication.
Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ”Query Parameters
Section titled “Query Parameters ”The desired page from the result set. Defaults to 1.
The number of items per page. Defaults to 100.
Filter by shipment status. Comma-separated list. Allowed values: pending, in_progress, complete, problem.
Filter by piece IDs. Comma-separated list of integers.
Filter by shipping address IDs. Comma-separated list of integers.
Filter by carrier. Comma-separated list of strings.
Filter by carrier service class. Comma-separated list of strings.
Filter by insurance status.
Filter by signature requirement.
Filter by destination country. Comma-separated list of ISO 3166-1 alpha-2 country codes.
Filter by destination postal code. Comma-separated list of strings.
Filter by tracking number. Comma-separated list of strings.
The field to sort results by. Allowed values: id, requested_at, shipped_at, ship_after, item_count.
The direction to sort results. Allowed values: asc, desc.
Responses
Section titled “ Responses ”Success
object
Total number of items across all pages.
15Number of items per page.
100The current page number (1-based).
1The last available page number.
1The index of the first item on this page (1-based).
1The index of the last item on this page (1-based).
15object
shippendingobject
123456Molly Smith1004 S Mt Olive StPHOENIXAZArizonaUSUnited States72761[ "domestic"]object
a1b2c3d4-e5f6-7890-abcd-ef1234567890USPS - ExpressExpress5335trueobject
object
20000men's cotton trousers620520object
object
14460059975990000000101 0016615290433808312186object
122028Bruce Wayne97599[ "unscanned", "read", "inbox", "stored"][ "unscanned", "read", "inbox", "stored"]0.1623.90.18.88object
UnknownUnknownobject
1_1_2_0_0image/jpg[ "color", "large", "enclosure", "front"]144600591mailletterobject
object
3001Urgent12Example
{ "current_page": 1, "data": [ { "id": 123456, "created_at": "2024-02-01T10:00:00Z", "updated_at": "2024-02-02T10:00:20Z", "operation_action": "ship", "operation_status": "complete", "tags": [], "aes_itn": null, "completed_at": "2024-07-03T00:00:00Z", "contents_type": null, "custom_items": [], "customs_description": null, "declared_value_in_cents": null, "estimated_shipped_at": "2024-07-02T10:00:00Z", "is_insured": false, "is_shared": false, "items": [ { "customs_description": null, "declared_value_in_cents": null, "has_complete_scan": true, "piece_id": 123456 } ], "owner_user_id": "123456", "rate": { "carrier_service": "Express", "carrier_type": "USPS - Express", "created_at": "2024-04-01T12:00:00Z", "expired_at": "2024-04-04T12:00:00Z", "id": null, "price_in_cents": 3000, "tracking_available": false }, "rate_id": null, "return_address": { "address_line_1": "9450 SW Gemini Dr", "address_line_2": null, "addressee": "John Smith PMB #123456", "country": "United States", "country_abbreviation": "US", "locality": "Beaverton", "postal_code": "97008-7105", "region": "Oregon", "region_abbreviation": "OR" }, "ship_after": "2024-07-02T10:00:00Z", "shipped_at": "2024-07-02T00:00:00Z", "shipping_address": { "id": 123456, "created_at": "2022-10-10T10:00:00Z", "updated_at": "2022-10-10T10:00:00Z", "address_line_1": "1004 S Mt Olive St", "address_line_2": "", "addressee": "Molly Smith", "company": null, "country": "United States", "country_abbreviation": "US", "delivery_confidence_percent": null, "inbox_id": 123456, "is_authorized": null, "locality": "Siloam Springs", "phone": "(111) 111-1111", "postal_code": "11111", "region": "Arizona", "region_abbreviation": "AZ", "requires_hs_tariff_codes": false, "requires_itn": false, "tags": [ "domestic" ] }, "shipping_address_id": 123456, "shipping_comment": null, "signature_on_delivery": false, "tracking_number": "00000000000000000000" } ], "from": 1, "to": 1, "last_page": 1, "per_page": 100, "total": 1}The x-api-key header is missing or the key is not valid, or the caller can’t access an ID in the request. IDs that don’t exist return the same response as IDs the caller can’t access.
Error envelope returned with 4xx and 5xx responses.
object
object
Usually the HTTP status code. It can differ; a request to an unknown path returns HTTP 400 with code 500.
401Human-readable description of the error.
The kind of error, for example Authorization or REST.
RESTReturned only with 422 responses. It may give more details about what failed validation, as lists of messages keyed by the name of the input.
object
Examples
{ "error": { "code": 401, "message": "The request does not include a valid access token. Please provide a valid access token.", "type": "Authorization" }}{ "error": { "code": 401, "message": "x-api-key: x-api-key is invalid", "type": "REST" }}{ "error": { "code": 401, "message": "User does not have access to requested resource.", "type": "Authorization" }}